APLIC(4)

NAME
aplic - Advanced Platform-Level Interrupt Controller

SYNOPSIS
aplic* at fdt?

DESCRIPTION
The aplic driver supports the Advanced Platform-Level Interrupt Controller (APLIC) that is part of the RISC-V Advanced Interrupt Architecture.

SEE ALSO
imsic(4), intro(4)

HISTORY
The RISC-V Advanced Interrupt Architecture version, Version 1.0. The aplic driver first appeared in OpenBSD 8.0.

AUTHORS
-nosplit The aplic driver was written by Mark Kettenis <kettenis@openbsd.org>.